Package org.eclipse.birt.chart.model.impl

# Class DialChartImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.impl.ChartImpl
org.eclipse.birt.chart.model.impl.ChartWithoutAxesImpl
org.eclipse.birt.chart.model.impl.DialChartImpl

All Implemented Interfaces:
  `Chart`, `ChartWithoutAxes`, `DialChart`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DialChartImpl extends ChartWithoutAxesImpl implements DialChart
An implementation of the model object 'Dial Chart'.

The following features are implemented:

- `Dial Superimposition`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`DialChart`
`copyInstance()`
`static final ChartWithoutAxes`
`create()`
`static final ChartWithoutAxes`
`createDefault()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`boolean`
`isDialSuperimposition()`
`boolean`
`isSetDialSuperimposition()`
`void`
`setDialSuperimposition(boolean newDialSuperimposition)`
`String`
`toString()`
`void`
`unsetDialSuperimposition()`

### Methods inherited from class org.eclipse.birt.chart.model.impl.ChartWithoutAxesImpl

`clearSections, eInverseRemove, getCoverage, getMinSlice, getMinSliceLabel, getRunTimeSeries, getSeriesDefinitions, isMinSlicePercent, isSetCoverage, isSetMinSlice, isSetMinSlicePercent, recursivelyGetSeries, setCoverage, setDimension, setMinSlice, setMinSliceLabel, setMinSlicePercent, setType, unsetCoverage, unsetMinSlice, unsetMinSlicePercent`

### Methods inherited from class org.eclipse.birt.chart.model.impl.ChartImpl

`basicSetBlock, basicSetDescription, basicSetEmptyMessage, basicSetInteractivity, basicSetSampleData, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`clearSections, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.birt.chart.model.ChartWithoutAxes

`getCoverage, getMinSlice, getMinSliceLabel, getRunTimeSeries, getSeriesDefinitions, isMinSlicePercent, isSetCoverage, isSetMinSlice, isSetMinSlicePercent, setCoverage, setMinSlice, setMinSliceLabel, setMinSlicePercent, unsetCoverage, unsetMinSlice, unsetMinSlicePercent`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isDialSuperimposition

public boolean isDialSuperimposition()

Specified by:
  `isDialSuperimposition` in interface `DialChart`
Returns:
  the value of the 'Dial Superimposition' attribute.
See Also:
  - `DialChart.isSetDialSuperimposition()`
  - `DialChart.unsetDialSuperimposition()`
  - `DialChart.setDialSuperimposition(boolean)`
  - `ModelPackage.getDialChart_DialSuperimposition()`

### setDialSuperimposition

public void setDialSuperimposition(boolean newDialSuperimposition)

Specified by:
  `setDialSuperimposition` in interface `DialChart`
Parameters:
  `newDialSuperimposition` - the new value of the 'Dial Superimposition' attribute.
See Also:
  - `DialChart.isSetDialSuperimposition()`
  - `DialChart.unsetDialSuperimposition()`
  - `DialChart.isDialSuperimposition()`

### unsetDialSuperimposition

public void unsetDialSuperimposition()

Specified by:
  `unsetDialSuperimposition` in interface `DialChart`
See Also:
  - `DialChart.isSetDialSuperimposition()`
  - `DialChart.isDialSuperimposition()`
  - `DialChart.setDialSuperimposition(boolean)`

### isSetDialSuperimposition

public boolean isSetDialSuperimposition()

Specified by:
  `isSetDialSuperimposition` in interface `DialChart`
Returns:
  whether the value of the 'Dial Superimposition' attribute is set.
See Also:
  - `DialChart.unsetDialSuperimposition()`
  - `DialChart.isDialSuperimposition()`
  - `DialChart.setDialSuperimposition(boolean)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ChartWithoutAxesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ChartWithoutAxesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ChartWithoutAxesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ChartWithoutAxesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ChartWithoutAxesImpl`

### create

public static final ChartWithoutAxes create()

### createDefault

public static final ChartWithoutAxes createDefault()

### copyInstance

public DialChart copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `ChartWithoutAxes`
Specified by:
  `copyInstance` in interface `DialChart`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `ChartWithoutAxesImpl`